Bug 168998 - g++ segfaults when trying to compile files
Summary: g++ segfaults when trying to compile files
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc34 (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-21 22:14 UTC by Lee Sheng
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 3.4.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 16:59:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (2.01 MB, text/plain)
2005-09-21 22:15 UTC, Lee Sheng
no flags Details

Description Lee Sheng 2005-09-21 22:14:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Attempt to compile source files.  


Actual Results:  1.  g++ segfaults
  

Additional info:

Comment 1 Lee Sheng 2005-09-21 22:15:51 UTC
Created attachment 119110 [details]
Preprocessed source

Comment 2 Lee Sheng 2005-09-21 22:18:06 UTC
$ gcc -v
Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.4/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-java-awt=gtk --host=i386-redhat-linux
Thread model: posix
gcc version 3.4.4 20050721 (Red Hat 3.4.4-2)


Comment 3 Andrew Pinski 2005-11-30 20:49:03 UTC
Fixed upstream with
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17929

Comment 4 Jakub Jelinek 2006-03-15 16:59:42 UTC
Works fine with
gcc version 3.4.5 20051201 (Red Hat 3.4.5-2)
as well as newer GCCs.


Note You need to log in before you can comment on or make changes to this bug.